apiVersion: v1
kind: LimitRange
metadata:
  name: default-resources
  namespace: team-1
spec:
  limits:
  - defaultRequest:
      cpu: "1" # <--- This injects default CPU values into pods.
      memory: "2Gi" # <--- This injects default memory values into pods.
    type: Container
---
apiVersion: v1
kind: Pod
metadata:
  name: webserver
  namespace: team-1
spec:
  containers:
  - name: app
    image: nginx # <--- No CPU and memory request values are specified.
